# class WindowItem

### Constants

CItemTypeName

### Public Class Methods

create(canvas, *args) click to toggle source
Calls superclass method TkcItem.create

    # File lib/tk/canvas.rb, line 837
    def self.create(canvas, *args)
      if args[-1].kind_of?(Hash)
        keys = _symbolkey2str(args.pop)
        win = keys['window']
        # keys['window'] = win.epath if win.kind_of?(TkWindow)
        keys['window'] = _epath(win) if win
        args.push(keys)
      end
      super(canvas, *args)
    end